Bug 459118 - Installation Guide lacks early and explicit mention of default store feature
Installation Guide lacks early and explicit mention of default store feature
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: Messaging_Installation_and_Configuration_Guide (Show other bugs)
All Linux
medium Severity medium
: 1.1
: ---
Assigned To: Lana Brindley
Kim van der Riet
: Documentation
Depends On:
Blocks: 468124
  Show dependency treegraph
Reported: 2008-08-14 10:51 EDT by William Henry
Modified: 2013-10-23 19:08 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-11-17 23:06:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description William Henry 2008-08-14 10:51:44 EDT
Description of problem:

The installation guide implicitly rather than explicitly says that the persistent store is loaded for MRG 1.0 Messaging. And it waits to say this in the persistence chapter. 

As a major feature this should be explicitly mentioned earlier in the document.

This is an even bigger issue for users that have used QPID, where the store is not default, and moved to RHM.  Time could be spent wasted looking for a module name to use with --load-module. 

Also it might be worth mentioning that if the user turns on tracing with rhmd, as the install guide suggests, they should/will see mrgstore being loaded at the end.

I would also suggest that this is mentioned early in the **Tutorial Guide** too with perhaps a reference to the installation guide.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 William Henry 2008-08-14 21:42:34 EDT
I probably vastly underestimated the time this will take. It's probably more like half a day than half an hour ;-) woops
Comment 2 Lana Brindley 2008-10-23 23:39:00 EDT
I've added an admonition to the Starting the Broker chapter in the Installation Guide to rectify this. It notes the loading of the data directory and points the reader to the Persistence chapter for more information.

Will be available on the stage for review shortly (and due for technical review after 5 November).

Comment 3 Lana Brindley 2008-10-29 18:02:46 EDT
Completed and now on technical review (due Fri 7 Nov)

Comment 4 Kim van der Riet 2008-10-30 14:10:41 EDT
Any links were this can be reviewed?

Note You need to log in before you can comment on or make changes to this bug.